npm命令安装淘宝cnpm失败Please update to minimatch 3.0.2

Futurefinger
  • 985

cnpm命令安装失败,
minimatch是什么东西我该更新什么?
ERROR:

C:\Users\Administrator
λ npm -v
2.15.5

C:\Users\Administrator
λ node -v
v4.4.5

C:\Users\Administrator
λ npm install -g cnpm --registry=https://registry.npm.taobao.org
npm WARN deprecated minimatch@1.0.0: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated minimatch@2.0.10: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
C:\Users\Administrator\AppData\Roaming\npm\cnpm -> C:\Users\Administrator\AppData\Roaming\npm\node_modules\cnpm\bin\cnpm
C:\Users\Administrator\AppData\Roaming\npm\cnpm-check -> C:\Users\Administrator\AppData\Roaming\npm\node_modules\cnpm\bin\cnpm-check
C:\Users\Administrator\AppData\Roaming\npm\cnpm-doc -> C:\Users\Administrator\AppData\Roaming\npm\node_modules\cnpm\bin\cnpm-doc
C:\Users\Administrator\AppData\Roaming\npm\cnpm-sync -> C:\Users\Administrator\AppData\Roaming\npm\node_modules\cnpm\bin\cnpm-sync
C:\Users\Administrator\AppData\Roaming\npm\cnpm-user -> C:\Users\Administrator\AppData\Roaming\npm\node_modules\cnpm\bin\cnpm-user
C:\Users\Administrator\AppData\Roaming\npm\cnpm-web -> C:\Users\Administrator\AppData\Roaming\npm\node_modules\cnpm\bin\cnpm-web
C:\Users\Administrator\AppData\Roaming\npm\cnpm-search -> C:\Users\Administrator\AppData\Roaming\npm\node_modules\cnpm\bin\cnpm-search

npm WARN deprecated minimatch@1.0.0: Please update to minimatch 3.0.2
or higher to avoid a RegExp DoS issue

回复
阅读 32.6k
8 个回答

这个只是警告,不是你安装失败的原因,

npm install minimatch@"3.0.2"更新包就好了

npm install minimatch@"3.0.2"

加了更新包了。。还是没用。、怎么办。。求解、

忽略,过一会就安装好了

upOne
  • 4
新手上路,请多包涵

我也遇到同样的问题, 请问解决了吗

你知道吗?

宣传栏